Merge branch 'master' of ssh://defaria.com/opt/git/clearscm
authorAndrew DeFaria <Andrew@DeFaria.com>
Sat, 7 Dec 2013 04:05:04 +0000 (20:05 -0800)
committerAndrew DeFaria <Andrew@DeFaria.com>
Sat, 7 Dec 2013 04:05:04 +0000 (20:05 -0800)
bin/.perldb.hist [deleted file]
bin/setbg
cq/.-_hist [deleted file]
rc/bash_login
rc/client_scripts/Axcient
web/Resumes/Andrew/Resume.doc

diff --git a/bin/.perldb.hist b/bin/.perldb.hist
deleted file mode 100644 (file)
index ac581e0..0000000
+++ /dev/null
@@ -1,100 +0,0 @@
-\@main::INC
-EOT
-my $subref = \&dumpvar_epic::dump_array_expr;
-my $savout = CORE::select($DB::OUT);
-my $savbuf = $|;
-$| = 0;
-$subref->($offset, $varexpr);
-$| = $savbuf;
-print "";
-CORE::select($savout);
-};
-
-;{    
-do 'dumpvar_epic.pm' unless defined &dumpvar_epic::dump_lexical_vars;
-    
-my $offset = 0;
-my $varexpr = <<'EOT';
-+{%main::INC}
-EOT
-my $subref = \&dumpvar_epic::dump_hash_expr;
-my $savout = CORE::select($DB::OUT);
-my $savbuf = $|;
-$| = 0;
-$subref->($offset, $varexpr);
-$| = $savbuf;
-print "";
-CORE::select($savout);
-};
-
-;{    
-do 'dumpvar_epic.pm' unless defined &dumpvar_epic::dump_lexical_vars;
-    
-my $offset = 0;
-my $varexpr = <<'EOT';
-+{%main::SIG}
-EOT
-my $subref = \&dumpvar_epic::dump_hash_expr;
-my $savout = CORE::select($DB::OUT);
-my $savbuf = $|;
-$| = 0;
-$subref->($offset, $varexpr);
-$| = $savbuf;
-print "";
-CORE::select($savout);
-};
-
-;{    
-do 'dumpvar_epic.pm' unless defined &dumpvar_epic::dump_lexical_vars;
-    
-my $offset = 0;
-my $varexpr = <<'EOT';
-$h->{'%violations'}
-EOT
-my $subref = \&dumpvar_epic::dump_hash_expr;
-my $savout = CORE::select($DB::OUT);
-my $savbuf = $|;
-$| = 0;
-$subref->($offset, $varexpr);
-$| = $savbuf;
-print "";
-CORE::select($savout);
-};
-
-;{    
-do 'dumpvar_epic.pm' unless defined &dumpvar_epic::dump_lexical_vars;
-    
-my $offset = 0;
-my $varexpr = <<'EOT';
-$h->{'@lines'}
-EOT
-my $subref = \&dumpvar_epic::dump_array_expr;
-my $savout = CORE::select($DB::OUT);
-my $savbuf = $|;
-$| = 0;
-$subref->($offset, $varexpr);
-$| = $savbuf;
-print "";
-CORE::select($savout);
-};
-
-c 188
-x \%violations
-x $nbrViolations
-x $ip
-x $violations{$ip}
-x @emails
-x $ip
-x $message
-c 285
-x $email
-x $email
-$email=1
-x $message
-$to="andrew\@defaria.com"
-$to="andrew\@defaria.com"
-c 228
-x \%violations
-c 235
-x $attempts
-x $violations{$ip}
index e3f5a46..39ce45b 100755 (executable)
--- a/bin/setbg
+++ b/bin/setbg
@@ -98,7 +98,7 @@ foreach (@imgDir) {
 } # foreach
 
 # Using gsettings
-my $setbg      = "gsettings";
+my $setbg          = "gsettings";
 my $setbgOpts  = "set org.gnome.desktop.background picture-uri \"file://";
 
 my @images;
@@ -133,8 +133,14 @@ while () {
 
   my $cmd = "$setbg $setbgOpts$image\" 2> /dev/null";
 
-  `$cmd`;
+  my @output = `$cmd`;
 
+  if ($? != 0) {
+    display "ERROR Trying to set background - command used \"$cmd\"", $log;
+    display "Output:";
+    display join "\n", @output, $log;
+  } # if
+  
   close $log;
   
   sleep $sleep;
diff --git a/cq/.-_hist b/cq/.-_hist
deleted file mode 100644 (file)
index e69de29..0000000
index 0008953..ff64550 100644 (file)
@@ -100,8 +100,6 @@ if [ -r /etc/bash_completion -a $ARCHITECTURE != "cygwin" ]; then
   source /etc/bash_completion
 fi
 
-export CVSROOT=:ext:andrew@clearscm.com:/var/cvs/cvsroot
-
 if [ -x ~/.rc/logout ]; then
   trap "~/.rc/logout" 0
 fi
index a450ee8..918ed38 100755 (executable)
@@ -15,4 +15,4 @@
 export SMTPHOST=tesla3.axcient.inc
 export SMTPFROM=buildandrelease@axcient.com
 
-append_to_path /opt/axscripts/bin
+append_to_path /opt/brscripts/bin
index 1cde172..e650379 100644 (file)
Binary files a/web/Resumes/Andrew/Resume.doc and b/web/Resumes/Andrew/Resume.doc differ